// For disabling the discrete GPU.

DefinitionBlock("", "SSDT", 2, "T440P", "_DDGPU", 0)
{
    External(_SB.PCI0.PEG.VID.GPOF, MethodObj)    
    Device(DGPU)
    {
        Name(_HID, "DGPU0000")
        Method(_INI)
        {
            // disable discrete graphics (Nvidia) if it is present
            If (CondRefOf(\_SB.PCI0.PEG.VID.GPOF))
            {
                \_SB.PCI0.PEG.VID.GPOF (Zero)
            }
        }
    }
}
//EOF